
import RenderWithoutJS from "@/components/RenderWithoutJS";
import Sidebar from "@/components/Sidebar";
import index from "@/styles/Index.module.sass"
import Lanyard from "@/components/Lanyard"
import Head from "next/head"
import Link from "@/components/Link";

const Hello = ["Ahoy!", "Ahoy there!", "Hey there!", "Howdy howdy!", "Howdy, friend!", "Howdy!", "Hey!", "Hey there!", "Hi!", "Hello!", "Hello there!", "Hi there!"];
function randomHello() {
  return Hello[Math.floor(Math.random() * Hello.length)];
}


const IndexPage = () => {
  return (
    <RenderWithoutJS>

      <main id={index.layout}>
        <Head>
          <title>lio</title>
        </Head>
        <Sidebar />
        <section id={index.main}>
          <h1>
            <noscript>Hey there!</noscript>
            {randomHello()}
          </h1>
          <p>
            my name's lio. i'm a 21y/o software dev student and ui designer from germany.
          </p>
          {/* <p>
          you might know me from Projects like <Link />
        </p> */}
        </section>
        <Lanyard />
        {/* <Copyright /> */}
      </main>
    </RenderWithoutJS>
  );

};

export default IndexPage